void enkoder_init()
{//GICR|=_BV(INT0)|_BV(INT1);
EIMSK|=_BV(INT0)|_BV(INT1);
//MCUCR|=_BV(ISC10)|_BV(ISC00);
EICRA|=_BV(ISC10)|_BV(ISC00);
return;}

ISR(INT0_vect){
uint8_t t;
	t=PIND&0b00001100;		//cte dva vstupni piny enkoderu
//	if (t==enkoder2) return;
	enkoder2=t|(enkoder2>>2);
	switch (enkoder2)
		{case 0b00001110:
		 case 0b00000001:{enkoder++;break;}
		 default:enkoder--;}
enkoder2=t;
}
ISR(INT1_vect){
uint8_t t;
t=PIND&0b00001100;
//	if (t==enkoder2) return;
	enkoder2=t|(enkoder2>>2);
	switch (enkoder2)
		{case 0b00001000:
		 case 0b00000111:{enkoder++;break;}
		 default:enkoder--;}
enkoder2=t;
}
